
//Setting up margins, width and height
var margin = {top: 20, right: 30, bottom: 100, left: 90},
    width = 940 - margin.left - margin.right,
    height = 460 - margin.top - margin.bottom;

// Appending SVG object into the div.
var svg = d3.select("#graphData")
  .append("svg")
    .attr("width", width + margin.left + margin.right)
    .attr("height", height + margin.top + margin.bottom)
    .append("g")
    .attr("transform",
          "translate(" + margin.left + "," + margin.top + ")");

//Fetch the data
d3.csv("https://gist.githubusercontent.com/pranatiyv/0dc80388a12b43e7d86fbe29ec6e7818/raw/0279ca7dec2200ee338ab719a622c4d297e9eff6/market-price.csv",

//formating date to get month name
  function(d){
    return { date : d3.timeParse("%Y-%m-%d")(d.date), value : d.value }
  },

  
  function(data) {

    // Add X axis for date
    var x = d3.scaleTime()
      .domain(d3.extent(data, function(d) { return d.date; }))
      .range([ 0, width ]);
    svg.append("g")
      .attr("transform", "translate(0," + height + ")")
      .call(d3.axisBottom(x));
  //Adding y-axis label
svg.append('text')
      .attr('class', 'axis-label')
      .attr('y', -50)
      .attr('x', -220)
      .attr('fill', 'black')
      .attr('transform', `rotate(-90)`)
      .text('Price');
  
    // Add Y axis for price
    var y = d3.scaleLinear()
      .domain([0, d3.max(data, function(d) { return +d.value; })])
      .range([ height, 0 ]);
    svg.append("g")
      .call(d3.axisLeft(y));
  ///Adding x-axis label
svg.append('text')
      .attr('class', 'axis-label')
      .attr('y', 400)
      .attr('x', 380)
      .attr('fill', 'black')
      .text('Month');
  //Binding data into area chart
    svg.append("path")
      .datum(data)
      .attr("fill", "green")
      .attr("stroke", "#69b3a2")
      .attr("stroke-width", 1.5)
      .attr("d", d3.area()
        .x(function(d) { return x(d.date) })
        .y0(y(0))
        .y1(function(d) { return y(d.value) })
        )

})
